# Function process

- process<I, O>(options): Generator<GraphQlRequest | Web3Request, {
  assignments: {
  [collectionName: string]: (I & O)[];
  };
  project: Resources.IdObject<"projects">;
  }, any>

- #### Type Parameters

  - #### I extends Project.AssignNames.Batch.Input<{
    assignment: {
    name: string;
    nameRecord: Resources.IdObject<"nameRecords">;
    type: string;
    };
    entry: ProjectNameInput;
    properties: {
    projectName: Resources.IdObject<"projectNames">;
    };
    result: undefined | Resources.IdObject<"projectNames">;
    }>

  - #### O extends Project.AssignNames.Batch.Output<{
    assignment: {
    name: string;
    nameRecord: Resources.IdObject<"nameRecords">;
    type: string;
    };
    entry: ProjectNameInput;
    properties: {
    projectName: Resources.IdObject<"projectNames">;
    };
    result: undefined | Resources.IdObject<"projectNames">;
    }>

  #### Parameters

  - ##### options: {
    assignments: {
    [collectionName: string]: I[];
    };
    project: Resources.IdObject<"projects">;
    }

    - ##### assignments: {
      [collectionName: string]: I[];
      }

      - ##### [collectionName: string]: I[]

    - ##### project: Resources.IdObject<"projects">

  #### Returns Generator<GraphQlRequest | Web3Request, {
  assignments: {
  [collectionName: string]: (I & O)[];
  };
  project: Resources.IdObject<"projects">;
  }, any>

  - Defined in packages/db/src/project/assignNames/batch.ts:59

Generated using TypeDoc